Service Alerts


NB! Upgrade to the Android Point of Sale app urgently needed


We’ve recently made some significant improvements to our mobile app infrastructure, which means that, due to some necessary technicalities involved, if your Android Operating System (OS) version is less than 5, you’ll need to upgrade to the most recent version of our Point of Sale app by 29 June 2018.

If you’re not sure which version of the app you’re one, it’s probably best to update anyway, but you can check very easily following these steps.

Unfortunately, you won’t be able to do any card transactions on older versions of our Android Apps from the 1st of July 2018, so to ensure that you have the best, uninterrupted Yoco experience going forward, please upgrade to the latest version of the Android app here as soon as you can.
en_badge_web_generic.png
If you have any questions, or need help with the upgrade, please get in touch with us.

Help us improve our Help Centre. Was this article helpful?

Have more questions? Contact us now